[问题]安装sun-java的一个问题

为当前最终发行版之前的所有版本提供支持
回复
bsyforce
帖子: 5
注册时间: 2006-10-28 13:30
送出感谢: 0
接收感谢: 0

[问题]安装sun-java的一个问题

#1

帖子 bsyforce » 2006-11-10 18:31

发信人: FeelInside (子午), 信区: Linux
标 题: ubuntu的一个问题
发信站: 北邮真情流露 (Thu Nov 9 22:31:32 2006), 站内

帮忙看一下是哪里的问题,如何解决,谢谢!

安装sun-java5-bin and sun-java5-jre

返回错误信息如下:

E: sun-java5-bin: 子进程·post-installation script·返回了错误号·2

详细错误新息如下:

ubuntu@ubuntu:~$ sudo apt-get install sun-java5-jre
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
The following packages were automatically installed and are no longer required:
libgnucrypto-java liblog4j1.2-java libswt3.2-gtk-java libseda-java
libcommons-cli-java libgtk-jni libcairo-java libbcprov-java libglib-java
libgtk-java libswt3.2-gtk-jni
使用 'apt-get autoremove' 来删除它们。
将会安装下列额外的软件包:
sun-java5-bin
建议安装的软件包:
sun-java5-plugin ia32-sun-java5-plugin sun-java5-fonts ttf-sazanami-gothic
ttf-sazanami-mincho
推荐安装的软件包:
gsfonts-x11
下列【新】软件包将被安装:
sun-java5-bin sun-java5-jre
共升级了 0 个软件包,新安装了 2 个软件包,要卸载 0 个软件包,有 0 个软件未被升级

需要下载 0B/29.8MB 的软件包。
解压缩后会消耗掉 83.2MB 的额外空间。
您希望继续执行吗?[Y/n]y
正在预设定软件包 ...
选中了曾被取消选择的软件包 sun-java5-bin。
(正在读取数据库 ... 系统当前总共安装有 106217 个文件和目录。)
正在解压缩 sun-java5-bin (从 .../sun-java5-bin_1.5.0-08-0ubuntu1_i386.deb) ...
sun-dlj-v1-1 license has already been accepted
选中了曾被取消选择的软件包 sun-java5-jre。
正在解压缩 sun-java5-jre (从 .../sun-java5-jre_1.5.0-08-0ubuntu1_all.deb) ...
sun-dlj-v1-1 license has already been accepted
正在设置 sun-java5-jre (1.5.0-08-0ubuntu1) ...
***
* Updating MIME database in /usr/share/mime...
Wrote 481 strings at 20 - 27f8
Wrote aliases at 27f8 - 29ac
Wrote parents at 29ac - 337c
Wrote literal globs at 337c - 33e0
Wrote suffix globs at 33e0 - 6778
Wrote full globs at 6778 - 679c
Wrote magic at 679c - bdac
Wrote namespace list at bdac - bdbc
***

正在设置 sun-java5-bin (1.5.0-08-0ubuntu1) ...
Error: could not find libjava.so
Error: could not find Java 2 Runtime Environment.
dpkg:处理 sun-java5-bin (--configure)时出错:
子进程·post-installation script·返回了错误号·2
在处理时有错误发生:
sun-java5-bin
E: Sub-process /usr/bin/dpkg returned an error code (1)
Wrote mIf God Was One of Us
Wrote namespace list at bdac - bdbc
***

正在设置 sun-java5-bin (1.5.0-08-0ubuntu1) ...
Error: could not find libjava.so
Error: could not find Java 2 Runtime Environment.
dpkg:处理 sun-java5-bin (--configure)时出错:
子进程·post-installation script·返回了错误号·2
在处理时有错误发生:
sun-java5-bin
E: Sub-process /usr/bin/dpkg returned an error code (1)


请问这个是什么问题,怎么处理啊?
--
So,My Lover,Receive Me Please,
With Your Sweet Faithful Kiss.




※ 来源:·北邮真情流露 bupt.org·[FROM: 59.64.217.*]
bsyforce
帖子: 5
注册时间: 2006-10-28 13:30
送出感谢: 0
接收感谢: 0

#2

帖子 bsyforce » 2006-11-10 18:50

各位帮忙看看~~
luo.ze.neptune
帖子: 28
注册时间: 2006-11-10 16:44
送出感谢: 0
接收感谢: 0

我也碰到一样的问题

#3

帖子 luo.ze.neptune » 2006-11-11 9:33

我也碰到一样的问题,我用的是ubuntu6.10,采用的是gnix_oag兄提供的安装的办法。
不知道哪位高人能给出解决方法啊,谢了先!
neveta
帖子: 17
注册时间: 2005-07-06 11:12
送出感谢: 0
接收感谢: 0

#4

帖子 neveta » 2006-11-12 13:34

尝试一下安装jdk,不要只装jre

sudo apt-get install sun-java5-jdk
luo.ze.neptune
帖子: 28
注册时间: 2006-11-10 16:44
送出感谢: 0
接收感谢: 0

装JDK也一样

#5

帖子 luo.ze.neptune » 2006-11-12 17:29

neveta 写了:尝试一下安装jdk,不要只装jre

sudo apt-get install sun-java5-jdk

装JDK也一样,一样的提示。
luo.ze.neptune
帖子: 28
注册时间: 2006-11-10 16:44
送出感谢: 0
接收感谢: 0

解决办法

#6

帖子 luo.ze.neptune » 2006-11-19 13:40

大家好,我也出了这个问题,在论坛上找了一段时间的解决办法,发现出这个问题的基本上都是用LiveCD或者是采用论坛上gnix_oag兄提供的在硬盘上直接引导LiveCD ISO+unionfs保存设置的方法来运行ubuntu。后来论坛上另一哥们也怀疑是unionfs的问题,他说他自己试了一下,将JDK安装在非unionfs的文件系统(FAT32或ext2或ext3)中,就没有问题了。我自己尝试了一下,确实能够解决这个问题。以下是我的步骤:
1、下载JDK,直接到sun的网站下载(注意下载Linux self-extracting file版本的那个,文件名是jdk-1_5_0_09-linux-i586.bin)
2、将下载到的JDK移动到非unionfs的文件系统上,例如我的windows的E盘是FAT32的,我将下载的JDK拷贝到E盘(假设下载JDK的目录是/tmp,那么执行命令sudo cp /tmp/jdk-1_5_0_09-linux-i586.bin /media/e_win,这里/media/e_win是我windows E盘的路径)
3、在E盘下执行这个JDK(如果不能执行,可能要给jdk-1_5_0_09-linux-i586.bin加上x),执行下面两个命令:(1)sudo cd /media/e_win;(2)sudo ./jdk-1_5_0_09-linux-i586.bin;这将会把该JDK在当前目录下展开到jdk1.5.0_09目录下。
4、到解压出来的JDK的bin目录下,执行以下./java,怎么样,发现直接就可以执行了吧。
5、然后执行sudo update-alternatives --verbose --install /usr/bin/java java /media/e_win/jdk1.5.0_09/bin/java 500 --slave /usr/share/man/man1/java.1 java.1 /media/e_win/jdk1.5.0_09/man/man1/java.1(注意,这里/media/e_win/jdk1.5.0_09是我自己的路径,你可能需要根据自己的路径进行修改)
6、然后执行sudo update-alternatives --config java,选择我们安装的java。执行java -version,怎么样,没问题了吧。
7、设置环境变量JAVA_HOME,CLASSPATH等。ok

总结:出现这个问题可能是unionfs的问题,我也只是猜测,因为对unionfs本身没有什么太多了解。
回复

回到 “老旧版本支持”